Tip 1 : It is important to practice coding consistently because it is what enables you to solve interview-questions in the stipulated time. But before this, it is even important to have a clear understanding of all the data-structures, so that they can be easily implemented as and when required to solve a problem. It is also mandatory to have a clear understanding of the time and space complexities of algorithms because this is what you are judged upon in real interviews. Good intuition and a good approach to solve a problem is what really helps to crack the interview of such companies.
Tip 2 : They do not judge you upon the number of internships you have done or the number of projects you have made. A single ,good-quality project is sufficient, provided you have in-depth knowledge about it. What matters to them is how efficient learner you are, how good is your problem-solving skill and also how confident you are with your answers.
Tip 3 : Practise topic -wise questions, participate in lots of coding contests, watch lots of Youtube solutions even after you could solve a question, because you may find a different approach that is efficient than yours and watching video solutions is always a better option than just reading the solution , as it gives a clear and deeper understanding of the logics . Also pray hard along with your preparation.
Tip 1 : Keep your resume short and clear. Mention your projects and internships with a brief description and year of completion. Mention coding languages are known to you, or other technical skills that you are good at. Do not mention anything that you are not good at. Highlight the topics that you are really good at.
Tip 2 : Be very honest and figure out only those things in your resume that you really know. Anything extra or unknown may have a negative impact upon your interview if asked by the interviewer.
This round was held in the evening at 6 o'clock on Hackerrank. It had coding questions: easy, medium, and hard level and MCQ's ( 1 minute for each MCQ). Negative marking was also there.
I sat with a pen and paper and used the provided test-case , which helped me to make a tree like structure , which had to be explored until its depth.This is where I realized that Depth First Search could be used to solve the problem.
This problem was of easy level and I could easily come up with a solution after identifying a relation between the rank and index of the element.
This was an interview round ( technical round) that was held on video-call and a coding platform was also shared. The interviewer was very friendly with me . She was praising me on every solution that I provided.
Step 1: I first traversed the linked list and on find a child pointer, descended down the list but forgot to keep track of the next pointers of such nodes.
Step 2: It dawned upon me that I need a container to keep hold of all next-pointers, and Stack could be used for this.
Step 3: Then I gave a solution using stack and also flattening the linked-list in O(n) time and the interviewer was ...
There is a group of people and a special person in the group who does not know anybody, while other people in the group know him. Given a function: find(A, B) -> which returns True if A knows B and false if A does not know B. The task is to make minimum calls to this function to find out the special person.
Tip 1: Solution was easy: find(A, B)-> if it returns True, A is not the special person, since the special person does not know anybody. Also if find(A, B) -> return False, means B is not the special person, since he is known by everyone. This is how each time a person gets eliminated, and the person who remains is the special person.
This was an interview round ( technical round) that was held on video-call and a coding platform was also shared. The interviewer was very friendly with me . She was praising me on every solution that I provided.
1) Constructor: It initializes the data members a...
I knew that HashSet uses O(1) time to search an element in the list. Also, the word ' Hash' in HashSet helped me to come up with the solution, to use hash table that can help solve the problem efficiently.
It was online HR+Technical Round .
Tip 1:We can solve this problem using breadth first search. Main thing to observe in this problem is that if we find two marked nodes which are at largest distance from each other considering all pairs of marked nodes then if a node is at a distance less than K from both of these two nodes then it will be at a distance less than K from all the marked nodes because these two nodes represents the...
Tip 1: I had studied Python in-depth , so could answer all his questions .
Tip 2: There were some questions where I was stuck, but then was assisted by the interviewer in approaching to the solution.
He gave me a situation where my colleague leaves the project in-between, and the deadline is approaching, how would I make up to meet the deadline in such a situation.
Tip 1: Taking assistance from my seniors, more dedication towards the project and approaching the manager for help were my answers .
Hi
Does CGPA matters while applying to the company
and also can I use Python for coding rounds ?